#ifndef IMPORTLIBRARY_H_
#define IMPORTLIBRARY_H_

#include "filetarget.h"

class ExportDefinitions;
class SharedLibrary;

/**
A special case of static library which pulls in a shared library.  Used on
platforms with no true dynamic linking support.
*/
class ImportLibrary: public FileTarget
{
private:
	SharedLibrary *shared_lib;

public:
	ImportLibrary(Builder &, const Msp::FS::Path &);
	ImportLibrary(Builder &, const Component &, SharedLibrary &, ExportDefinitions &);

	virtual const char *get_type() const { return "ImportLibrary"; }

	SharedLibrary *get_shared_library() const { return shared_lib; }
};

#endif
