#ifndef TOOLCHAIN_H_
#define TOOLCHAIN_H_

#include <list>
#include <map>
#include <string>

class Tool;

/**
A container for tools.  Performs lookup based on tag or filename extension.
*/
class Toolchain
{
private:
	typedef std::map<std::string, Tool *> ToolMap;
	typedef std::list<Toolchain *> ToolchainList;

	ToolMap tools;
	ToolchainList chains;

public:
	~Toolchain();

	void add_tool(Tool *);
	void add_toolchain(Toolchain *);
	bool has_tool(const std::string &) const;
	Tool &get_tool(const std::string &) const;
	Tool *get_tool_for_suffix(const std::string &, bool = false) const;
};

#endif
